// *****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2010                    *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// *****************************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

// -----------------------------------------------------------------
// FVIL Sample Program
// rfIݒt@CI_CAO
//
// 쐬 : N.Moriguchi
//
//  : 2010/10/27 
//
// -----------------------------------------------------------------
namespace FVC06_ContGrabSample
{
    public partial class Form_BROWSEIN : Form
    {

        public string strIniFilePath;


        public Form_BROWSEIN()
        {
            InitializeComponent();
        }

        /// <summary>
        /// OK{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// rfIݒpinit@C̐ݒB
        /// </remarks>
        private void ButtonOK_Click(object sender, EventArgs e)
        {
            //init@C̃pX擾
            strIniFilePath = TextBoxPath.Text;
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        /// <summary>
        /// Qƃ{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// rfIݒpinit@C̑IB
        /// </remarks>
        private void ButtonBrowse_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "init@C(*.ini;)|*.ini;";
            openFileDialog1.DefaultExt = "*.INI";
            openFileDialog1.ShowDialog();

            if ((openFileDialog1.FileNames.Length > 0))
            {
                //init@C擾
                TextBoxPath.Text = openFileDialog1.FileName;
            }

        }
    }
}